<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Minotor</title>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css" integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">
    <script
    src="https://code.jquery.com/jquery-3.4.1.min.js"
    integrity="sha256-CSXorXvZcTkaix6Yvo6HppcZGetbYMGWSFlBw8HfCJo="
    crossorigin="anonymous"></script>
</head>
<body>
    <nav class="navbar navbar-expand-lg navbar-light bg-light">
        <a class="navbar-brand" href="#">Minotor</a>
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarSupportedContent">
            <ul class="navbar-nav mr-auto">
                <li class="nav-item">
                    <a class="nav-link" href="/">Home</a>
                </li>
                <li class="nav-item active">
                    <a class="nav-link" href="/dashboard">Dashboard <span class="sr-only">(current)</span></a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="/logs">Logs</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="/stats">Stats</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="/settings">Settings</a>
                </li>
            </ul>
        </div>
    </nav>
    <br/><br/>
    <main class="container">
        <section class="container-fluid" id="cards">
            <div class="row">
                <div class="col-md-3">
                    <div class="card" id="jphCard">
                        <img src="img/feuVert.png" class="card-img-top" id="jphLight" alt="feu vert" style="width: 20px;">
                        <div class="card-body">
                            <h5 class="card-title">Jsonplaceholder</h5>
                            <p class="card-text">Application d'exemple.</p>
                        </div>
                    </div>
                </div>
                <div class="col-md-3">
                    <div class="card" id="googleCard">
                        <img src="img/feuVert.png" class="card-img-top" id="googleLight" alt="feu vert" style="width: 20px;">
                        <div class="card-body">
                            <h5 class="card-title">Google</h5>
                            <p class="card-text">Application d'exemple.</p>
                        </div>
                    </div>
                </div>
                <div class="col-md-3">
                    <div class="card" id="amazonCard">
                        <img src="img/feuRouge.png" class="card-img-top" id="amazonLight" alt="feu rouge" style="width: 20px;">
                        <div class="card-body">
                            <h5 class="card-title">Amazon</h5>
                            <p class="card-text">Application d'exemple.</p>
                        </div>
                    </div>
                </div>
            </div>
        </section>
    </main>
    <footer class="footer">
    </footer>
    <script src="/socket.io/socket.io.js"></script>
    <script>
        var socket = io();
        // JPH
        socket.on('jphOk', function(){
            $('#jphLight').attr('src', 'img/feuVert.png')
        });
        socket.on('jphKo', function(){
            $('#jphLight').attr('src', 'img/feuRouge.png')
        });
        socket.on('jphError', function(){
            $('#jphLight').attr('src', 'img/feuRouge.png')
        });
        // Google
        socket.on('googleOk', function(){
            $('#googleLight').attr('src', 'img/feuVert.png')
        });
        socket.on('googleKo', function(){
            $('#googleLight').attr('src', 'img/feuRouge.png')
        });
        socket.on('googleError', function(){
            $('#googleLight').attr('src', 'img/feuRouge.png')
        });
        // Amazon
        socket.on('amazonOk', function(){
            $('#amazonLight').attr('src', 'img/feuVert.png')
        });
        socket.on('amazonKo', function(){
            $('#amazonLight').attr('src', 'img/feuRouge.png')
        });
        socket.on('amazonError', function(){
            $('#amazonLight').attr('src', 'img/feuRouge.png')
        });
    </script>
</body>
</html>